Search.setIndex({
    docnames: ["index", "source/modules", "source/sobolev_alignment"],
    envversion: {
        "sphinx.domains.c": 2,
        "sphinx.domains.changeset": 1,
        "sphinx.domains.citation": 1,
        "sphinx.domains.cpp": 5,
        "sphinx.domains.index": 1,
        "sphinx.domains.javascript": 2,
        "sphinx.domains.math": 2,
        "sphinx.domains.python": 3,
        "sphinx.domains.rst": 2,
        "sphinx.domains.std": 2,
        "sphinx.ext.intersphinx": 1,
        "sphinxcontrib.bibtex": 9,
        sphinx: 56,
    },
    filenames: [
        "index.rst",
        "source/modules.rst",
        "source/sobolev_alignment.rst",
    ],
    objects: {
        "": [[2, 0, 0, "-", "sobolev_alignment"]],
        "sobolev_alignment.feature_analysis": [
            [2, 1, 1, "", "basis"],
            [2, 1, 1, "", "combinatorial_product"],
            [2, 1, 1, "", "higher_order_contribution"],
        ],
        "sobolev_alignment.generate_artificial_sample": [
            [2, 1, 1, "", "generate_samples"],
            [2, 1, 1, "", "parallel_generate_samples"],
        ],
        "sobolev_alignment.interpolated_features": [
            [2, 1, 1, "", "compute_optimal_tau"],
            [2, 1, 1, "", "project_on_interpolate_PV"],
        ],
        "sobolev_alignment.kernel_operations": [[2, 1, 1, "", "mat_inv_sqrt"]],
        "sobolev_alignment.krr_approx": [[2, 2, 1, "", "KRRApprox"]],
        "sobolev_alignment.krr_approx.KRRApprox": [
            [2, 3, 1, "", "anchors"],
            [2, 4, 1, "", "default_kernel_params"],
            [2, 4, 1, "", "falkon_kernel"],
            [2, 3, 1, "", "fit"],
            [2, 3, 1, "", "load"],
            [2, 3, 1, "", "save"],
            [2, 4, 1, "", "sklearn_kernel"],
            [2, 3, 1, "", "transform"],
        ],
        "sobolev_alignment.krr_model_selection": [
            [2, 1, 1, "", "model_alignment_penalization"],
            [2, 1, 1, "", "model_selection_nu"],
        ],
        "sobolev_alignment.multi_krr_approx": [[2, 2, 1, "", "MultiKRRApprox"]],
        "sobolev_alignment.multi_krr_approx.MultiKRRApprox": [
            [2, 3, 1, "", "add_clf"],
            [2, 3, 1, "", "anchors"],
            [2, 3, 1, "", "predict"],
            [2, 3, 1, "", "process_clfs"],
            [2, 3, 1, "", "transform"],
        ],
        "sobolev_alignment.scvi_model_search": [
            [2, 1, 1, "", "make_objective_function"],
            [2, 1, 1, "", "model_selection"],
            [2, 1, 1, "", "split_dataset"],
        ],
        "sobolev_alignment.sobolev_alignment": [
            [2, 2, 1, "", "SobolevAlignment"],
        ],
        "sobolev_alignment.sobolev_alignment.SobolevAlignment": [
            [2, 3, 1, "", "compute_consensus_features"],
            [2, 3, 1, "", "compute_error"],
            [2, 3, 1, "", "compute_random_direction_"],
            [2, 4, 1, "", "default_scvi_params"],
            [2, 3, 1, "", "feature_analysis"],
            [2, 3, 1, "", "fit"],
            [2, 3, 1, "", "krr_model_selection"],
            [2, 3, 1, "", "load"],
            [2, 3, 1, "", "null_model_similarity"],
            [2, 3, 1, "", "plot_cosine_similarity"],
            [2, 3, 1, "", "plot_training_metrics"],
            [2, 3, 1, "", "sample_random_vector_"],
            [2, 3, 1, "", "save"],
            [2, 3, 1, "", "scvi_model_selection"],
        ],
        sobolev_alignment: [
            [2, 0, 0, "-", "data_normalisation"],
            [2, 0, 0, "-", "feature_analysis"],
            [2, 0, 0, "-", "generate_artificial_sample"],
            [2, 0, 0, "-", "interpolated_features"],
            [2, 0, 0, "-", "kernel_operations"],
            [2, 0, 0, "-", "krr_approx"],
            [2, 0, 0, "-", "krr_model_selection"],
            [2, 0, 0, "-", "multi_krr_approx"],
            [2, 0, 0, "-", "scvi_model_search"],
            [2, 0, 0, "-", "sobolev_alignment"],
        ],
    },
    objnames: {
        0: ["py", "module", "Python module"],
        1: ["py", "function", "Python function"],
        2: ["py", "class", "Python class"],
        3: ["py", "method", "Python method"],
        4: ["py", "attribute", "Python attribute"],
    },
    objtypes: {
        0: "py:module",
        1: "py:function",
        2: "py:class",
        3: "py:method",
        4: "py:attribute",
    },
    terms: {
        0: 2,
        "06": 2,
        1: 2,
        10: 2,
        100: 2,
        1000: 2,
        1000000: 2,
        "1e": 2,
        2: 2,
        20: 2,
        2011: 2,
        2018: 2,
        2020: 2,
        2022: 2,
        250: 2,
        3: 2,
        5: 2,
        9: 2,
        95: 2,
        break: 2,
        case: 2,
        class: 2,
        default: 2,
        float: 2,
        function: 2,
        int: 2,
        "mat\u00e9rn": 2,
        null: 2,
        "nystr\u00f6m": 2,
        return: 2,
        true: 2,
        A: 2,
        By: 2,
        For: 2,
        If: 2,
        In: 2,
        The: 2,
        _core: 2,
        _scvi: 2,
        absolute_co: 2,
        account: 2,
        act: 2,
        add: 2,
        add_clf: 2,
        advantag: 2,
        after: 2,
        al: 2,
        align: 2,
        all: 2,
        allow: 2,
        alreadi: 2,
        an: 2,
        analysi: 2,
        anchor: 2,
        angl: 2,
        ani: 2,
        anndata: 2,
        anoth: 2,
        appli: 2,
        approach: 2,
        approxim: 2,
        ar: 2,
        around: 2,
        arrai: 2,
        artifici: 2,
        assess: 2,
        associ: 2,
        author: 2,
        auto: 2,
        avail: 2,
        averag: 2,
        b: 2,
        balanc: 2,
        base: 2,
        basi: 2,
        batch: 2,
        batch_kei: 2,
        batch_key_dict: 2,
        batch_nam: 2,
        batch_siz: 2,
        bayesian: 2,
        been: 2,
        benefit: 2,
        best: 2,
        better: 2,
        between: 2,
        billion: 2,
        biorxiv: 2,
        bool: 2,
        both: 2,
        br: 2,
        call: 2,
        can: 2,
        cell: 2,
        chang: 2,
        classifi: 2,
        clf: 2,
        column: 2,
        combin: 2,
        combinatorial_product: 2,
        come: 2,
        common: 2,
        complet: 2,
        complianc: 2,
        comput: 2,
        compute_consensus_featur: 2,
        compute_error: 2,
        compute_optimal_tau: 2,
        compute_random_direction_: 2,
        concaten: 2,
        concurr: 2,
        consensu: 2,
        consid: 2,
        contain: 2,
        content: 1,
        continuous_covariate_nam: 2,
        contribut: 2,
        core: 2,
        correct: 2,
        correl: 2,
        correspond: 2,
        cosin: 2,
        cost: 2,
        could: 2,
        covari: 2,
        covariate_valu: 2,
        covariates_valu: 2,
        cpu: 2,
        crash: 2,
        critic: 2,
        csc_matrix: 2,
        csv: 2,
        current: 2,
        d: 2,
        data: 2,
        data_an: 2,
        data_normalis: 1,
        data_sourc: 2,
        datafram: 2,
        dataset: 2,
        decod: 2,
        deep: 2,
        default_hyperopt_spac: 2,
        default_kernel_param: 2,
        default_scvi_param: 2,
        dens: 2,
        design: 2,
        determinist: 2,
        develop: 2,
        dict: 2,
        dictionari: 2,
        differ: 2,
        dimension: 2,
        directli: 2,
        dispers: 2,
        distance_kernel: 2,
        distribut: 2,
        divid: 2,
        doe: 2,
        downstream: 2,
        dropout_r: 2,
        dure: 2,
        e: 2,
        each: 2,
        early_stop: 2,
        effect: 2,
        effici: 2,
        either: 2,
        element: 2,
        embed: 2,
        emploi: 2,
        encod: 2,
        error: 2,
        establish: 2,
        et: 2,
        evalu: 2,
        except: 2,
        execut: 2,
        exp: 2,
        expans: 2,
        experi: 2,
        exploit: 2,
        express: 2,
        extens: 2,
        factor: 2,
        falkon: 2,
        falkon_kernel: 2,
        falkon_opt: 2,
        fals: 2,
        faster: 2,
        featur: 2,
        feature_analysi: 1,
        file: 2,
        find: 2,
        fit: 2,
        fit_va: 2,
        folder: 2,
        follow: 2,
        format: 2,
        frac_save_artifici: 2,
        frob_norm_sourc: 2,
        from: 2,
        g: 2,
        gain: 2,
        gamma: 2,
        gaussian: 2,
        gaussian_process: 2,
        gaussiankernel: 2,
        gene: 2,
        gene_likelihood: 2,
        gene_nam: 2,
        gener: 2,
        generate_artificial_sampl: 1,
        generate_sampl: 2,
        given: 2,
        gpu: 2,
        grassmann: 2,
        h2: 2,
        ha: 2,
        handl: 2,
        have: 2,
        head: 2,
        help: 2,
        here: 2,
        high: 2,
        higher: 2,
        higher_order_contribut: 2,
        highest: 2,
        hyper: 2,
        hyperopt: 2,
        hyperparamet: 2,
        i: 2,
        identifi: 2,
        idx: 2,
        implement: 2,
        improv: 2,
        index: 0,
        indic: 2,
        input: 2,
        insid: 2,
        instanc: 2,
        intens: 2,
        interact: 2,
        interpol: 2,
        interpolated_featur: 1,
        interpolated_proj_df: 2,
        intuit: 2,
        invers: 2,
        iter: 2,
        itself: 2,
        journal: 2,
        k: 2,
        k_x: 2,
        k_xy: 2,
        k_y: 2,
        kei: 2,
        kernel: 2,
        kernel_oper: 1,
        kernel_param: 2,
        krr: 2,
        krr_approx: 1,
        krr_model_select: 1,
        krrapprox: 2,
        laplacian: 2,
        laplaciankernel: 2,
        larg: 2,
        larger: 2,
        latent: 2,
        launch: 2,
        lead: 2,
        learn: 2,
        level: 2,
        lib_siz: 2,
        lib_size_norm: 2,
        librari: 2,
        limit: 2,
        line: 2,
        linear: 2,
        link: 2,
        list: 2,
        load: 2,
        locat: 2,
        log_input: 2,
        longer: 2,
        lopez: 2,
        low: 2,
        lowest: 2,
        lr: 2,
        m: 2,
        machin: 2,
        mai: 2,
        main: 2,
        make_objective_funct: 2,
        mani: 2,
        mat_inv_sqrt: 2,
        matern: 2,
        maternkernel: 2,
        matric: 2,
        matrix: 2,
        max_ev: 2,
        max_ord: 2,
        maxit: 2,
        mean: 2,
        mean_cent: 2,
        meanti: 2,
        measur: 2,
        memori: 2,
        method: 2,
        metric: 2,
        minimum: 2,
        model: 2,
        model_alignment_pen: 2,
        model_select: 2,
        model_selection_nu: 2,
        modul: [0, 1],
        mourragui: 2,
        multi: 2,
        multi_krr_approx: 1,
        multikrrapprox: 2,
        multipli: 2,
        multivari: 2,
        must: 2,
        n_artificial_sampl: 2,
        n_hidden: 2,
        n_interpol: 2,
        n_iter: 2,
        n_job: 2,
        n_krr_clf: 2,
        n_latent: 2,
        n_layer: 2,
        n_samples_per_sample_batch: 2,
        n_similar_pv: 2,
        name: 2,
        nativ: 2,
        natur: 2,
        ndarrai: 2,
        need: 2,
        neurip: 2,
        no_posterior_collaps: 2,
        nois: 2,
        non: 2,
        none: 2,
        normalis: 2,
        note: 2,
        np: 2,
        nu: 2,
        null_model_similar: 2,
        number: 2,
        numpi: 2,
        ob: 2,
        object: 2,
        offset: 2,
        one: 2,
        oper: 2,
        optim: 2,
        optimal_nu: 2,
        optimis: 2,
        option: 2,
        order: 2,
        orthonorm: 2,
        other: 2,
        out: 2,
        over: 2,
        overlap: 2,
        packag: 1,
        page: 0,
        pair: 2,
        panda: 2,
        paper: 2,
        parallel: 2,
        parallel_generate_sampl: 2,
        paramet: 2,
        part: 2,
        pass: 2,
        path: 2,
        pd: 2,
        pedregosa: 2,
        penal: 2,
        per: 2,
        perform: 2,
        pipelin: 2,
        plan: 2,
        plot: 2,
        plot_cosine_similar: 2,
        plot_training_metr: 2,
        point: 2,
        possibl: 2,
        potenti: 2,
        pre: 2,
        predict: 2,
        present: 2,
        previous: 2,
        price: 2,
        princip: 2,
        principal_angl: 2,
        prior: 2,
        procedur: 2,
        process: 2,
        process_clf: 2,
        profil: 2,
        project: 2,
        project_on_interpolate_pv: 2,
        properli: 2,
        proport: 2,
        protocol: 2,
        provid: 2,
        proxi: 2,
        pv: 2,
        pv_number: 2,
        pv_project: 2,
        pyll: 2,
        python: 2,
        quantil: 2,
        randomli: 2,
        rbf: 2,
        re: 2,
        reduce_lr_on_plateau: 2,
        refer: 2,
        regress: 2,
        relev: 2,
        reli: 2,
        research: 2,
        result: 2,
        return_al: 2,
        return_anndata: 2,
        return_dist: 2,
        return_matrix: 2,
        ridg: 2,
        rkh: 2,
        roof: 2,
        root: 2,
        routin: 2,
        row: 2,
        run: 2,
        same: 2,
        same_model_alignment_thresh: 2,
        sampl: 2,
        sample_artifici: 2,
        sample_offset: 2,
        sample_random_vector_: 2,
        sample_s: 2,
        save: 2,
        save_mmap: 2,
        sc: 2,
        scale: 2,
        scikit: 2,
        scipi: 2,
        scvi: 2,
        scvi_model: 2,
        scvi_model_search: 1,
        scvi_model_select: 2,
        scvi_param: 2,
        search: [0, 2],
        select: 2,
        self: 2,
        serialis: 2,
        set: 2,
        sever: 2,
        should: 2,
        show: 2,
        sigma: 2,
        signific: 2,
        similar: 2,
        simpli: 2,
        singl: 2,
        size: 2,
        sklearn: 2,
        sklearn_kernel: 2,
        small: 2,
        sobolev: 2,
        sobolev_alignment_clf: 2,
        sobolevalign: 2,
        soufian: 2,
        sourc: 2,
        source_batch_nam: 2,
        source_krr_param: 2,
        source_scvi_param: 2,
        space: 2,
        spars: 2,
        sparsiti: 2,
        spearman: 2,
        speed: 2,
        split: 2,
        split_dataset: 2,
        spv: 2,
        squar: 2,
        step: 2,
        stochast: 2,
        str: 2,
        strategi: 2,
        stream: 2,
        submodul: 1,
        subsequ: 2,
        sum: 2,
        svd: 2,
        symmetr: 2,
        synthet: 2,
        t: 2,
        take: 2,
        taken: 2,
        target: 2,
        target_batch_nam: 2,
        target_krr_param: 2,
        target_scvi_param: 2,
        tau_step: 2,
        taylor: 2,
        technic: 2,
        tensor: 2,
        term: 2,
        test: 2,
        test_data_an: 2,
        test_error_s: 2,
        test_siz: 2,
        than: 2,
        themselv: 2,
        thi: 2,
        thread: 2,
        threshold: 2,
        through: 2,
        time: 2,
        tool: 2,
        top: 2,
        torch: 2,
        train: 2,
        train_data_an: 2,
        transcriptom: 2,
        transform: 2,
        trial: 2,
        tumor: 2,
        tupl: 2,
        two: 2,
        type: 2,
        typic: 2,
        unit_std: 2,
        up: 2,
        us: 2,
        usabl: 2,
        vae: 2,
        valid: 2,
        valu: 2,
        variat: 2,
        variou: 2,
        vector: 2,
        wa: 2,
        warn: 2,
        we: 2,
        weight: 2,
        weight_decai: 2,
        when: 2,
        where: 2,
        whether: 2,
        which: 2,
        with_krr: 2,
        with_model: 2,
        without: 2,
        workflow: 2,
        would: 2,
        wrap: 2,
        wrapper: 2,
        x: 2,
        x_data: 2,
        x_hat: 2,
        x_input: 2,
        x_j: 2,
        x_sourc: 2,
        x_target: 2,
        xx: 2,
        y: 2,
        yield: 2,
        z_hat: 2,
    },
    titles: [
        "Welcome to Sobolev Alignment\u2019s documentation!",
        "sobolev_alignment",
        "sobolev_alignment package",
    ],
    titleterms: {
        align: 0,
        content: 2,
        data_normalis: 2,
        document: 0,
        feature_analysi: 2,
        generate_artificial_sampl: 2,
        indic: 0,
        interpolated_featur: 2,
        kernel_oper: 2,
        krr_approx: 2,
        krr_model_select: 2,
        modul: 2,
        multi_krr_approx: 2,
        packag: 2,
        s: 0,
        scvi_model_search: 2,
        sobolev: 0,
        sobolev_align: [1, 2],
        submodul: 2,
        tabl: 0,
        welcom: 0,
    },
});
